SiliconFlow

获取参考音频列表

Get list of user-defined voice styles

GET
/audio/voice/list
AuthorizationBearer <token>required

Use the following format for authentication: Bearer

In: header

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

resultsarray<object>

Predefined voice style list

curl --request GET \
  --url https://api.siliconflow.cn/v1/audio/voice/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.siliconflow.cn/v1/audio/voice/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.request("GET", url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.siliconflow.cn/v1/audio/voice/list', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));         
{
  "results": [
    {
      "model": "fishaudio/fish-speech-1.4",
      "customName": "your-voice-name",
      "text": "在一无所知中, 梦里的一天结束了,一个新的轮回便会开始",
      "uri": "speech:your-voice-name:xxx:xxx"
    }
  ]
}
{
  "code": 20012,
  "message": "string",
  "data": "string"
}
"Invalid token"
"Forbidden"
"404 page not found"
{
  "message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.cn. Details:TPM limit reached.",
  "data": "string"
}
{
  "code": 50505,
  "message": "Model service overloaded. Please try again later.",
  "data": "string"
}
"string"